import { RouterStateSnapshot, ActivatedRouteSnapshot, UrlTree, Router } from '@angular/router';
import { User } from './models/user';
import { Observable } from 'rxjs';
import { WorldskillsAngularLibService } from '../worldskills-angular-lib.service';
import { NgAuthService } from './ng-auth.service';
import * as i0 from "@angular/core";
export declare class GuardService {
    private ngAuthService;
    private wsi;
    private router;
    private config;
    constructor(ngAuthService: NgAuthService, wsi: WorldskillsAngularLibService, router: Router);
    canActivate(next: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean | UrlTree> | Promise<boolean | UrlTree> | boolean | UrlTree;
    protected getCurrentUser(): User;
    protected login(state: RouterStateSnapshot): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<GuardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GuardService>;
}
