import { Router } from '@angular/router';
import { NgAuthService } from '../ng-auth.service';
import { Observable } from 'rxjs';
import { User } from '../models/user';
import * as i0 from "@angular/core";
export declare class RedirectEventHandler {
    protected ngAuthService: NgAuthService;
    protected router: Router;
    constructor(ngAuthService: NgAuthService, router: Router);
    getReturnUrl(): string;
    getUser(showRoles: boolean): Observable<User>;
    redirectUserToUrl(returnUrl: string, skipLocationChange?: boolean): void;
    listen(): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RedirectEventHandler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RedirectEventHandler>;
}
