import { EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { NgbModal, NgbModalOptions, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import * as i0 from "@angular/core";
export declare class ModalComponent implements OnChanges {
    private modalService;
    open: boolean;
    options: NgbModalOptions;
    onClose: EventEmitter<void>;
    content: TemplateRef<NgbModalRef>;
    private modalRef;
    constructor(modalService: NgbModal);
    openModal(): void;
    closeModal(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalComponent, "ws-modal", never, { "open": { "alias": "open"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, { "onClose": "onClose"; }, never, ["[header]", "[body]", "[footer]"], false, never>;
}
