import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CacheStorageService {
    constructor();
    get<T>(key: string, defaultValue?: T, engine?: Storage): T;
    set(key: string, value: any, engine?: Storage): void;
    setExpire(key: string, value: any, expire: Date): void;
    remove(key: string, engine?: Storage): void;
    fetchObservable<T>(fetchFn: () => Observable<T>, key: string, expire: Date, defaultValue?: T): Observable<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CacheStorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CacheStorageService>;
}
