import { OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { User } from '../../auth/models/user';
import { NgAuthService } from '../../auth/ng-auth.service';
import * as i0 from "@angular/core";
export declare class UserRoleDirective implements OnInit {
    private templateRef;
    private viewContainerRef;
    private ngAuthService;
    constructor(templateRef: TemplateRef<any>, viewContainerRef: ViewContainerRef, ngAuthService: NgAuthService);
    wsUserRole: string | Array<string>;
    wsUserRoleUser: User | true;
    wsUserRoleAll: boolean;
    wsUserRoleEntity: number | {
        id: number;
    };
    wsUserRoleAppId: number;
    wsUserRoleNegate: boolean;
    ngOnInit(): void;
    private renderIfValid;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserRoleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UserRoleDirective, "[wsUserRole]", never, { "wsUserRole": { "alias": "wsUserRole"; "required": false; }; "wsUserRoleUser": { "alias": "wsUserRoleUser"; "required": false; }; "wsUserRoleAll": { "alias": "wsUserRoleAll"; "required": false; }; "wsUserRoleEntity": { "alias": "wsUserRoleEntity"; "required": false; }; "wsUserRoleAppId": { "alias": "wsUserRoleAppId"; "required": false; }; "wsUserRoleNegate": { "alias": "wsUserRoleNegate"; "required": false; }; }, {}, never, never, false, never>;
}
