import { User } from "../../auth/models/user";
export declare class UserRoleUtil {
    static userHasRoles(user: User, appId: number, ...roles: Array<string>): boolean;
    static userHasRolesOfEntity(user: User, appId: number, entityId: number, ...roles: Array<string>): boolean;
    static userHasAllRoles(user: User, appId: number, ...roles: Array<string>): boolean;
    static userHasAllRolesOfEntity(user: User, appId: number, entityId: number, ...roles: Array<string>): boolean;
    static userHasRolesOfAnyApp(user: User, ...roles: Array<string>): boolean;
    static userHasRolesOfEntityOfAnyApp(user: User, entityId: number, ...roles: Array<string>): boolean;
    static userHasAllRolesOfAnyApp(user: User, ...roles: Array<string>): boolean;
    static userHasAllRolesOfEntityOfAnyApp(user: User, entityId: number, ...roles: Array<string>): boolean;
}
