import { OnInit, TemplateRef, EventEmitter } from '@angular/core';
import { Language } from '../../i18n/language';
import { User } from '../../auth/models/user';
import { WorldskillsAngularLibService } from '../../worldskills-angular-lib.service';
import { WsiTranslateService } from '../../i18n/wsi-translate.service';
import * as i0 from "@angular/core";
export declare class FooterComponent implements OnInit {
    private wsi;
    private translator;
    date: any;
    languages: Language[];
    selectedLanguage: Language;
    isLoggedIn: boolean;
    currentUser: User;
    col1Template: TemplateRef<any>;
    col2Template: TemplateRef<any>;
    col3Template: TemplateRef<any>;
    col4Template: TemplateRef<any>;
    col5Template: TemplateRef<any>;
    col6Template: TemplateRef<any>;
    logoutClick: EventEmitter<any>;
    loginClick: EventEmitter<any>;
    col1DefaultTemplate: TemplateRef<any>;
    col6DefaultTemplate: TemplateRef<any>;
    colDefaultTemplate: TemplateRef<any>;
    supportEmail?: string;
    constructor(wsi: WorldskillsAngularLibService, translator: WsiTranslateService);
    ngOnInit(): void;
    login(): void;
    logout(): void;
    changeLanguage(model: Language): void;
    isLanguageSelected(model: Language): boolean;
    languagePrompt(): void;
    getLanguages(): Language[];
    static ɵfac: i0.ɵɵFactoryDeclaration<FooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FooterComponent, "ws-footer", never, { "isLoggedIn": { "alias": "isLoggedIn"; "required": false; }; "currentUser": { "alias": "currentUser"; "required": false; }; "col1Template": { "alias": "col1Template"; "required": false; }; "col2Template": { "alias": "col2Template"; "required": false; }; "col3Template": { "alias": "col3Template"; "required": false; }; "col4Template": { "alias": "col4Template"; "required": false; }; "col5Template": { "alias": "col5Template"; "required": false; }; "col6Template": { "alias": "col6Template"; "required": false; }; }, { "logoutClick": "logoutClick"; "loginClick": "loginClick"; }, never, never, false, never>;
}
