import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { MenuItem } from '../menu-item';
import { User } from '../../auth/models/user';
import * as i0 from "@angular/core";
export declare class HeaderComponent implements OnInit {
    private router;
    private route;
    appName: string;
    isLoggedIn: boolean;
    showLoginAndLogoutButtons: boolean;
    menuItems: Array<MenuItem>;
    dropDownMenuItems: Array<MenuItem>;
    currentUser: User;
    linkTitle: boolean;
    appNameTemplate: TemplateRef<any>;
    menuTemplate: TemplateRef<any>;
    subMenuTemplate: TemplateRef<any>;
    logoutClick: EventEmitter<any>;
    loginClick: EventEmitter<any>;
    constructor(router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    ngOnChanges(): void;
    userRoles(): string[];
    isRouteActive(item: MenuItem): boolean;
    getActiveParentMenu(): MenuItem;
    hasSubMenuItems(item: MenuItem): boolean;
    getSubMenuItems(item: MenuItem): MenuItem[];
    login(): void;
    logout(): void;
    getInitials(): string;
    showMenu(): boolean;
    showLoginButton(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "ws-header", never, { "appName": { "alias": "appName"; "required": false; }; "isLoggedIn": { "alias": "isLoggedIn"; "required": false; }; "showLoginAndLogoutButtons": { "alias": "showLoginAndLogoutButtons"; "required": false; }; "menuItems": { "alias": "menuItems"; "required": false; }; "dropDownMenuItems": { "alias": "dropDownMenuItems"; "required": false; }; "currentUser": { "alias": "currentUser"; "required": false; }; "linkTitle": { "alias": "linkTitle"; "required": false; }; "appNameTemplate": { "alias": "appNameTemplate"; "required": false; }; "menuTemplate": { "alias": "menuTemplate"; "required": false; }; "subMenuTemplate": { "alias": "subMenuTemplate"; "required": false; }; }, { "logoutClick": "logoutClick"; "loginClick": "loginClick"; }, never, never, false, never>;
}
