import { NgbModal, NgbModalOptions } from '@ng-bootstrap/ng-bootstrap';
import { ModalItem } from './modal-item';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class WsiModalService {
    modal: NgbModal;
    modals: ModalItem[];
    openModals: ModalItem[];
    onModalUpdate: Subject<ModalItem>;
    constructor(modal: NgbModal);
    private closeModal;
    private listenModal;
    open(item: ModalItem): ModalItem;
    getDefaultOptions(): NgbModalOptions;
    getDismissReason(reason: any): string;
    getModal(name: string): ModalItem;
    updateModal(name: string, item: ModalItem): boolean;
    isModalOpen(item: ModalItem): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<WsiModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WsiModalService>;
}
