import { Subject, Subscription } from 'rxjs';
import { ChangeDetectorRef, TemplateRef } from '@angular/core';
import { NgSelectComponent } from '@ng-select/ng-select';
import { SelectAsyncSearchSettings } from '../models/select-async-search-settings';
export declare const DEFAULT_MIN_CHARACTERS = 3;
export declare class SelectAsyncHandler {
    private ngSelectComponent;
    private changeDetectorRef;
    private settings;
    debounceSubject: Subject<string>;
    debounceSubscription: Subscription;
    template: TemplateRef<any>;
    constructor(ngSelectComponent: NgSelectComponent, changeDetectorRef: ChangeDetectorRef, settings: SelectAsyncSearchSettings);
    initialize(): void;
    setupSearchListener(): void;
    showHeader(): void;
    hideHeader(): void;
    destroy(): void;
}
