import { BehaviorSubject, Observable } from 'rxjs';
import { OAuthService } from 'angular-oauth2-oidc';
import { User } from './models/user';
import { WorldskillsAngularLibService } from '../worldskills-angular-lib.service';
import { AuthService } from './auth.service';
import * as i0 from "@angular/core";
export declare class NgAuthService {
    private wsi;
    private oAuthService;
    authService: AuthService;
    currentUser: BehaviorSubject<User>;
    constructor(wsi: WorldskillsAngularLibService, oAuthService: OAuthService, authService: AuthService);
    keepAlive(): Observable<any>;
    isLoggedIn(): boolean;
    getLoggedInUser(showChildRoles?: boolean): Observable<User>;
    login(): void;
    logout(): Observable<any>;
    clearSession(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgAuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgAuthService>;
}
