import { EventEmitter, OnInit } from '@angular/core';
import { RecipientAwardCertificate, RecipientAwardCertificateType } from '../../models/recipient-award-certificate';
import * as i0 from "@angular/core";
export declare class RecipientAwardCertificateFormComponent implements OnInit {
    certificatesEmitter: EventEmitter<RecipientAwardCertificate[]>;
    get certificates(): RecipientAwardCertificate[];
    set certificates(certs: RecipientAwardCertificate[]);
    _certificates: RecipientAwardCertificate[];
    certificateTypes: RecipientAwardCertificateType[];
    constructor();
    ngOnInit(): void;
    addCert(): void;
    generateNewUniqueID(cert: RecipientAwardCertificate): void;
    emitValues(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecipientAwardCertificateFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecipientAwardCertificateFormComponent, "ws-recipient-award-certificate-form", never, { "certificates": { "alias": "certificates"; "required": false; }; }, { "certificatesEmitter": "certificatesEmitter"; }, never, never, false, never>;
}
