import { EventEmitter, OnInit } from '@angular/core';
import { RecipientAwardRequest } from '../recipient-award-form/recipient-award-form.component';
import { MemberAward } from '../../models/member-award';
import { OrganizationAward } from '../../models/organization-award';
import { PersonAward } from '../../models/person-award';
import * as i0 from "@angular/core";
export declare class RecipientAwardListComponent implements OnInit {
    canCreate: boolean;
    canUpdate: boolean;
    canDelete: boolean;
    recipientAwards: PersonAward[] | MemberAward[] | OrganizationAward[];
    certificateEnabled: boolean;
    create: EventEmitter<RecipientAwardRequest>;
    update: EventEmitter<RecipientAwardRequest>;
    delete: EventEmitter<RecipientAwardRequest>;
    addAward: boolean;
    editRecipientAward: PersonAward | MemberAward | OrganizationAward;
    constructor();
    ngOnInit(): void;
    deleteRecipientAward(ra: PersonAward | MemberAward | OrganizationAward): void;
    saveRecipientAward(ra: RecipientAwardRequest): void;
    closeModal(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecipientAwardListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecipientAwardListComponent, "ws-recipient-award-list", never, { "canCreate": { "alias": "canCreate"; "required": false; }; "canUpdate": { "alias": "canUpdate"; "required": false; }; "canDelete": { "alias": "canDelete"; "required": false; }; "recipientAwards": { "alias": "recipientAwards"; "required": false; }; "certificateEnabled": { "alias": "certificateEnabled"; "required": false; }; }, { "create": "create"; "update": "update"; "delete": "delete"; }, never, never, false, never>;
}
