import { HttpErrorResponse } from '@angular/common/http';
import { APIError } from '../models/api-error';
export declare class ErrorUtil {
    static getErrorMsg(error: any, defaultErrorMessage: string): string;
    static hasApiError(error: any): boolean;
    static arrayBufferToJSON(error: HttpErrorResponse): APIError;
    static captureAPIError(type: string, name: string, action: string, error: any, msg: string): void;
}
