import { OnInit } from '@angular/core';
import { ResourceThumbnail } from '../resource-thumbnail/resource-thumbnail.component';
import { ResourceService } from '../../resources/resource.service';
import { DatePipe } from '@angular/common';
import { AlertService } from '../../alerts/alert.service';
import { WsComponent } from '../../common/components/ws.component';
import * as i0 from "@angular/core";
export declare class ResourceThumbnailContainerComponent extends WsComponent implements OnInit {
    private resourceService;
    private datePipe;
    private alertService;
    title: string;
    resourceThumbnailList: ResourceThumbnail[];
    isZippingFiles: boolean;
    constructor(resourceService: ResourceService, datePipe: DatePipe, alertService: AlertService);
    get getDownloadAllBtnText(): string;
    ngOnInit(): void;
    showDownloadAll(): boolean;
    downloadAllResourcesAsZipFile(): void;
    private createDownloadLink;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResourceThumbnailContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResourceThumbnailContainerComponent, "ws-resource-thumbnail-container", never, { "title": { "alias": "title"; "required": false; }; "resourceThumbnailList": { "alias": "resourceThumbnailList"; "required": false; }; }, {}, never, never, false, never>;
}
