import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export interface ResourceThumbnail {
    resource_id: number;
    filename: string;
    thumbnailLink?: string;
    description?: string;
    fileSize?: number | string;
    downloadLink?: string;
}
export declare class ResourceThumbnailComponent implements OnInit {
    showDetailInfo: boolean;
    constructor();
    private _resourceThumbnail;
    get resourceThumbnail(): ResourceThumbnail;
    set resourceThumbnail(view: ResourceThumbnail);
    ngOnInit(): void;
    isNumber(value: any): boolean;
    showDownload(): boolean;
    getFileTypeIcon(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResourceThumbnailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResourceThumbnailComponent, "ws-resource-thumbnail", never, { "resourceThumbnail": { "alias": "resourceThumbnail"; "required": false; }; }, {}, never, never, false, never>;
}
