export declare const en: {
    translations: string;
    edit_all_translations: string;
    add_translation: string;
    remove: string;
    auth: {
        login: string;
        logout: string;
    };
    dialogue: {
        close: string;
    };
    footer: {
        copyright: {
            contact: string;
            privacy: string;
            terms: string;
            wsi: string;
        };
        links: {
            forums: string;
            glossary: string;
            'infrastructure.lists': string;
            'my.worldskills': string;
            registrations: string;
            'skill.management': string;
            wiw: string;
        };
        translation: {
            language: string;
            missing: string;
        };
    };
    polls: {
        vote_note_allowed: string;
        buttons: {
            abstain: string;
            delete: string;
            edit: string;
            'export.results': string;
            extend: string;
            'clear.vote': string;
            reset: string;
            'view.choices': string;
            'view.results': string;
            vote: string;
            open: string;
            close: string;
        };
        'created.by': string;
        messages: {
            abstained: string;
            anon: string;
            choices: string;
            voted: string;
        };
        points: string;
        status: string;
        selection: string;
        to: string;
        votes: string;
    };
    dates: {
        just_now: string;
        minute_ago: string;
        minutes_ago: string;
        hour_ago: string;
        hours_ago: string;
        yesterday: string;
        days_ago: string;
        week_ago: string;
        weeks_ago: string;
        soon: string;
        in_a_minute: string;
        in_n_minutes: string;
        in_an_hour: string;
        in_n_hours: string;
        tomorrow: string;
        in_n_days: string;
        in_a_week: string;
        in_n_weeks: string;
    };
    modals: {
        cancel: string;
        no: string;
        ok: string;
        yes: string;
    };
};
