import { OnInit } from '@angular/core';
import { I18nText } from '../../common/models/i18n-text';
import { Language } from '../language';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class I18nTextComponent implements OnInit, ControlValueAccessor {
    private modalService;
    languages: Language[];
    inputId: string;
    name: string;
    placeholder: string;
    required: boolean;
    model: I18nText;
    private onChange;
    private onTouched;
    constructor(modalService: NgbModal);
    ngOnInit(): void;
    switchTranslation(translation: any): void;
    editAllTranslations(content: any): void;
    getLanguages(): Language[];
    changeTranslation(lang_code: any, text: any): void;
    addTranslation(lang_code: any): void;
    deleteTranslation(lang_code: any): void;
    blurTranslation(): void;
    numTranslations(): number;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<I18nTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<I18nTextComponent, "ws-i18n-text", never, { "inputId": { "alias": "inputId"; "required": false; }; "name": { "alias": "name"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "required": { "alias": "required"; "required": false; }; }, {}, never, never, false, never>;
}
