import { OnInit, EventEmitter } from '@angular/core';
import { I18nText } from '../../common/models/i18n-text';
import { Language } from '../language';
import * as i0 from "@angular/core";
export declare class I18nTextboxComponent implements OnInit {
    valueChanged: EventEmitter<I18nText[]>;
    allowedLanguages: Language[];
    defaultLanguage: Language;
    currentCode: string;
    text: string;
    show: boolean;
    value: I18nText[];
    disaableLangChange: boolean;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    getValues(): I18nText[];
    textChanged(text: string): void;
    selectLang(lang: I18nText): void;
    loadText(): void;
    getLang(code: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<I18nTextboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<I18nTextboxComponent, "ws-i18n-textbox", never, { "value": { "alias": "value"; "required": false; }; "disaableLangChange": { "alias": "disaableLangChange"; "required": false; }; }, { "valueChanged": "valueChanged"; }, never, never, false, never>;
}
