import { HttpClient } from '@angular/common/http';
import { WorldskillsAngularLibService } from '../worldskills-angular-lib.service';
import { Observable } from 'rxjs';
import { PollList } from './models/poll-list';
import { Page } from './models/page';
import * as i0 from "@angular/core";
export declare class PollListService {
    protected wsi: WorldskillsAngularLibService;
    protected http: HttpClient;
    endpoint: string;
    constructor(wsi: WorldskillsAngularLibService, http: HttpClient);
    list(params: any): Observable<Page<PollList>>;
    get(id: number): Observable<PollList>;
    getBySlug(slug: string): Observable<PollList>;
    create(model: PollList): Observable<PollList>;
    update(id: number, model: PollList): Observable<PollList>;
    delete(id: number): Observable<any>;
    undelete(id: number): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PollListService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PollListService>;
}
