import { OnInit } from '@angular/core';
import { Poll } from '../models/poll';
import { Result } from '../models/result';
import { Option } from '../models/option';
import { Track } from '../models/track';
import { OptionResultView } from '../models/option-result-view';
import * as i0 from "@angular/core";
export declare class PollResultComponent implements OnInit {
    max: number;
    poll: Poll;
    results: Result[];
    tracks: Track[];
    canSeeWhoVoted: any;
    optionResultItems: OptionResultView[];
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    init(): void;
    getPeople(option: Option): Track[];
    getVoter(track: Track): string;
    getVoterHover(track: Track): string;
    countVotes(option: Option): number;
    countPoints(option: Option): number;
    showVoteIndex(): boolean;
    getVoteIndex(track: Track): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<PollResultComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PollResultComponent, "ws-poll-result", never, { "poll": { "alias": "poll"; "required": false; }; "results": { "alias": "results"; "required": false; }; "tracks": { "alias": "tracks"; "required": false; }; "canSeeWhoVoted": { "alias": "canSeeWhoVoted"; "required": false; }; }, {}, never, never, false, never>;
}
