import { OnInit, EventEmitter } from '@angular/core';
import { Poll } from '../models/poll';
import { Vote } from '../models/vote';
import { VoteEntry } from '../models/vote-entry';
import { Option } from '../models/option';
import { OptionHandler } from '../models/optionHandler';
import * as i0 from "@angular/core";
export declare class StandardPollComponent implements OnInit {
    poll: Poll;
    voted: Vote;
    initialSelection: VoteEntry[];
    optionSelected: EventEmitter<VoteEntry[]>;
    optionHandler: OptionHandler;
    selection: VoteEntry;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    init(): void;
    loadDefaultSelection(): void;
    isSelected(option: Option): boolean;
    onOptionSelect(option: Option): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StandardPollComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StandardPollComponent, "ws-standard-poll", never, { "poll": { "alias": "poll"; "required": false; }; "voted": { "alias": "voted"; "required": false; }; "initialSelection": { "alias": "initialSelection"; "required": false; }; "optionHandler": { "alias": "optionHandler"; "required": false; }; }, { "optionSelected": "optionSelected"; }, never, never, false, never>;
}
