import { OnInit, EventEmitter } from '@angular/core';
import { Poll } from '../models/poll';
import { Vote } from '../models/vote';
import { VoteEntry } from '../models/vote-entry';
import { OptionHandler } from '../models/optionHandler';
import * as i0 from "@angular/core";
export declare class WeightedPollComponent implements OnInit {
    poll: Poll;
    voted: Vote;
    initialSelection: VoteEntry[];
    optionHandler: OptionHandler;
    optionSelected: EventEmitter<VoteEntry[]>;
    numSelections: number[];
    models: string[];
    constructor();
    ngOnInit(): void;
    init(): void;
    change(event: any, index: any): void;
    hasMaxSelections(): boolean;
    numberToWord(num: number): string;
    calcPointsForItem(num: number): number;
    isSelected(optionId: number): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<WeightedPollComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WeightedPollComponent, "ws-weighted-poll", never, { "poll": { "alias": "poll"; "required": false; }; "voted": { "alias": "voted"; "required": false; }; "initialSelection": { "alias": "initialSelection"; "required": false; }; "optionHandler": { "alias": "optionHandler"; "required": false; }; }, { "optionSelected": "optionSelected"; }, never, never, false, never>;
}
