import { AppConfig } from './config/app.config';
import { HttpConfig } from './config/http.config';
import { ServiceConfig } from './config/service.config';
import { AuthConfig } from 'angular-oauth2-oidc';
import { ReplaySubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class WorldskillsAngularLibService {
    defaultSupportEmailAddress: string;
    appConfigSubject: ReplaySubject<AppConfig>;
    httpConfigSubject: ReplaySubject<HttpConfig>;
    serviceConfigSubject: ReplaySubject<ServiceConfig>;
    authConfigSubject: ReplaySubject<AuthConfig>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<WorldskillsAngularLibService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorldskillsAngularLibService>;
}
